package ch.bbw.pr.tresorbackend.service;

import ch.bbw.pr.tresorbackend.model.EncryptCredentials;
import ch.bbw.pr.tresorbackend.model.User;
import ch.bbw.pr.tresorbackend.util.EncryptUtil;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@AllArgsConstructor
public class TwoFactorAuthService {

   private UserService userService;

   public void addTwoFactorSecretToUser(String secret, String email, String encryptedKey) {
       User user = userService.findByEmail(email);
       EncryptUtil eu = new EncryptUtil(encryptedKey);
       String encryptedSecret = eu.encrypt(secret);
       user.setTwo_fa_secret(encryptedSecret);
       userService.updateUser(user);
   }

    public String getTwoFactorSecretFromUser(String email, String encryptedKey) {
        User user = userService.findByEmail(email);
        EncryptUtil eu = new EncryptUtil(encryptedKey);
        return eu.decrypt(user.getTwo_fa_secret());
    }
}
