export const fetchJwtToken = async (loginValues) => {
    const protocol = process.env.REACT_APP_API_PROTOCOL; // "http"
    const host = process.env.REACT_APP_API_HOST; // "localhost"
    const port = process.env.REACT_APP_API_PORT; // "8080"
    const path = process.env.REACT_APP_API_PATH; // "/api"
    const portPart = port ? `:${port}` : ''; // port is optional
    const API_URL = `${protocol}://${host}${portPart}${path}`;

    try {
        const response = await fetch(`${API_URL}/auth/`, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                email: loginValues.email,
                password: loginValues.password,
            })
        });

        if (response.ok) {
            const resJson = await response.json();
            console.log(resJson)
            console.log(resJson.token)
            return resJson.token
        }
        throw new Error('jwttoken is not okey');
    } catch (error) {
        console.error('Failed to get jwt', error.message);
        throw new Error('Failed to get jwt' || error.message);
    }
};
